X509 cert errors

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

X509 cert errors

Marc Simpson
Hi folks,

With recent Pikes, I get the following SSL/TLS error on multiple platforms:

    > Protocols.HTTP.get_url;
    [warnings*]
    > Protocols.HTTP.get_url("https://example.com");
    Bad argument 0 to `+(). Expected array.
    Unknown program: `+(0,({"[hidden email]"}))
    bld/pike/8.1.13/lib/modules/Standards.pmod/X509.pmod:1162: Standards.X509.TBSCertificate(([ /* 5 elements */
    [...]

*From Standards.pmod/X509.pmod, Crypto.pmod/RSA.pmod, Crypto.pmod/DSA.pmod, Standards.pmod/PEM.pmod, SSL.pmod/Alert.pike, ADT.pmod/Queue.pike, SSL.pmod/Session.pike, SSL.pmod/Connection.pike, SSL.pmod/Context.pike, SSL.pmod/ClientConnection.pike, SSL.pmod/ServerConnection.pike, Standards.pmod/URI.pike when demand-loading.

Best,
Marc
Reply | Threaded
Open this post in threaded view
|

X509 cert errors

Martin Nilsson (Coppermist) @ Pike (-) developers forum
I've fixed that. Looks like the behaviour of adding an array to 0 is
no longer working.
Reply | Threaded
Open this post in threaded view
|

Re: X509 cert errors

Marc Simpson
In reply to this post by Marc Simpson
Thanks!

/M

On Thu, Apr 22, 2021 at 2:23 PM Martin Nilsson (Coppermist) @ Pike (-) developers forum <[hidden email]> wrote:
I've fixed that. Looks like the behaviour of adding an array to 0 is
no longer working.